# enum LLVM::DIFlags

##
Defined in:

##
Enum Members

Zero = `0_u32`
Private = `1_u32`
Protected = `2_u32`
Public = `3_u32`
FwdDecl = `4_u32`
AppleBlock = `8_u32`
BlockByrefStruct = `16_u32`
Virtual = `32_u32`
Artificial = `64_u32`
Explicit = `128_u32`
Prototyped = `256_u32`
ObjcClassComplete = `512_u32`
ObjectPointer = `1024_u32`
Vector = `2048_u32`
StaticMember = `4096_u32`
LValueReference = `8192_u32`
RValueReference = `16384_u32`
ExternalTypeRef = `32768_u32`
SingleInheritance = `65536_u32`
MultipleInheritance = `131072_u32`
VirtualInheritance = `196608_u32`
IntroducedVirtual = `262144_u32`
BitField = `524288_u32`
NoReturn = `1048576_u32`
MainSubprogram = `2097152_u32`

##
Instance Method Summary

- #apple_block?
- #artificial?
- #bit_field?
- #block_byref_struct?
- #explicit?
- #external_type_ref?
- #fwd_decl?
- #introduced_virtual?
- #l_value_reference?
- #main_subprogram?
- #multiple_inheritance?
- #no_return?
- #objc_class_complete?
- #object_pointer?
- #private?
- #protected?
- #prototyped?
- #public?
- #r_value_reference?
- #single_inheritance?
- #static_member?
- #vector?
- #virtual?
- #virtual_inheritance?
- #zero?

### Instance methods inherited from struct `Enum`

&(other : self) &, +(other : Int) +, -(other : Int) -, <=>(other : self) <=>, ==(other : self) ==, ^(other : self) ^, clone clone, each(&) each, hash(hasher) hash, includes?(other : self) includes?, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, |(other : self) |, ~ ~

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, from_value?(value : Int) : self? from_value?, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(pull : JSON::PullParser) new, parse(string : String) : self parse, parse?(string : String) : self? parse?

### Class methods inherited from struct `Enum`

each(&) each, names : Array(String) names, valid?(value : self) : Bool valid?, values : Array(self) values

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Instance Method Detail

def apple_block? #
def artificial? #
def bit_field? #
def block_byref_struct? #
def explicit? #
def external_type_ref? #
def fwd_decl? #
def introduced_virtual? #
def l_value_reference? #
def main_subprogram? #
def multiple_inheritance? #
def no_return? #
def objc_class_complete? #
def object_pointer? #
def private? #
def protected? #
def prototyped? #
def public? #
def r_value_reference? #
def single_inheritance? #
def static_member? #
def vector? #
def virtual? #
def virtual_inheritance? #
def zero? #